<?php

namespace App\ViewModels\Dashboard\DashboardPacienteViewModel;

use App\Utils\Entity;

class DashboardPacienteViewModel extends Entity {
	protected $id_agendamento;
	protected $id_requisicao;
	protected $descricao_tipo_procedimento;
	protected $descricao_procedimento;
	protected $hora_inicio;
	protected $hora_final;
	protected $data;

	public static function builder(): DashboardPacienteViewModelBuilder {

		return new DashboardPacienteViewModelBuilder();

	}

	public function getidagendamento(): int {

		return $this->id_agendamento;

	}

	public function getidrequisicao(): int {

		return $this->id_requisicao;

	}

	public function getdescricaotipoprocedimento(): string {

		return $this->descricao_tipo_procedimento;

	}

	public function getdescricaoprocedimento(): string {

		return $this->descricao_procedimento;

	}

	public function gethorainicio(): string {

		return $this->hora_inicio;

	}

	public function gethorafinal(): string {

		return $this->hora_final;

	}

	public function getdata(): string {

		return $this->data;

	}

	public function setid_agendamento(int $id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	public function setid_requisicao(int $id_requisicao): void {

		$this->id_requisicao = $id_requisicao;

	}

	public function setdescricao_tipo_procedimento(string $descricao_tipo_procedimento): void {

		$this->descricao_tipo_procedimento = $descricao_tipo_procedimento;

	}

	public function setdescricao_procedimento(string $descricao_procedimento): void {

		$this->descricao_procedimento = $descricao_procedimento;

	}

	public function sethora_inicio(string $hora_inicio): void {

		$this->hora_inicio = $hora_inicio;

	}

	public function sethora_final(string $hora_final): void {

		$this->hora_final = $hora_final;

	}

	public function setdata(string $data): void {

		$this->data = $data;

	}

}